//---------------------------------------------------------------------------------------
//	StructuredHeaderFieldBody.h created by erik on Sun 23-Mar-1997
//	This code is part of the Alexandra Newsreader Project. For copyright details see
//	GNU public license version 2 or above. No warranties implied. Use at own risk.
//	More information can be found at <http://www.object-factory.com/Alexandra>.
//	@(#)$Id: StructuredHeaderFieldBody.h,v 1.1 1998/05/05 15:29:56 erik Exp $
//---------------------------------------------------------------------------------------

#import "HeaderFieldBody.h"


@interface StructuredHeaderFieldBody : HeaderFieldBody
{
    NSMutableDictionary	*parameters;
}

- (void)setParameter:(NSString *)value forKey:(NSString *)key;
- (NSDictionary *)parameters;
- (NSString *)parameterForKey:(NSString *)key;

// Subclassers only
- (void)takeValueFromString:(NSString *)string;
- (void)appendValueToString:(NSMutableString *)string;

@end
